Old stuff is always supported as far as I know. Its just the new one has more wow factor and more flashing lights.


Dumb but it works
meh..